FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Port details
rubygem-poppler Ruby binding for Poppler
3.0.8 x11-toolkits on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 09 Jun 2013 18:49:42
Also Listed In: rubygems
License: LGPL21+
Ruby/Poppler is a Ruby binding for Poppler.

WWW: http://ruby-gnome2.sourceforge.jp/
SVNWeb : Homepage : PortsMon

To install the port: cd /usr/ports/x11-toolkits/rubygem-poppler/ && make install clean
To add the package: pkg install rubygem-poppler

PKGNAME: rubygem-poppler

distinfo:

SHA256 (rubygem/poppler-3.0.8.gem) = ee56540aba2edd84d3ee466df5f8e2ec99ea7ecd100e83a02bf5b2448742c98d
SIZE (rubygem/poppler-3.0.8.gem) = 66048


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. ruby22 : lang/ruby22
  2. gem22 : devel/ruby-gems
Runtime dependencies:
  1. rubygem-cairo>=1.14.0 : graphics/rubygem-cairo
  2. rubygem-gdk_pixbuf2>=3.0.8 : graphics/rubygem-gdk_pixbuf2
  3. ruby22 : lang/ruby22
  4. gem22 : devel/ruby-gems
Library dependencies:
  1. libpoppler-glib.so : graphics/poppler-glib
Patch dependencies:
  1. ruby22 : lang/ruby22
  2. gem22 : devel/ruby-gems
Extract dependencies:
  1. ruby22 : lang/ruby22

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...
Configuration Options
     No options to configure

USES:
gem

Master Sites:
  1. https://rubygems.global.ssl.fastly.net/gems/

Number of commits found: 18

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
27 Apr 2016 21:57:32
Original commit files touched by this commit  3.0.8
Revision:414136
swills search for other commits by this committer
Convert USES=gem:autoplist to USES=gem since autoplist is default
27 Apr 2016 16:36:42
Original commit files touched by this commit  3.0.8
Revision:414118
swills search for other commits by this committer
create USES=gem and update rubygem- ports to use it

Note that for now ports still have to have USE_RUBY=yes to use USES=gem

PR:		209041
Differential Revision:	https://reviews.freebsd.org/D6070
11 Apr 2016 17:28:34
Original commit files touched by this commit  3.0.8
Revision:413077
sunpoet search for other commits by this committer
- Update to 3.0.8

Changes:	https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS
01 Apr 2016 14:33:58
Original commit files touched by this commit  3.0.7_2
Revision:412351
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories v, w, x, y, and z.

With hat:	portmgr
Sponsored by:	Absolight
02 Feb 2016 01:21:22
Original commit files touched by this commit  3.0.7_2
Revision:407788
swills search for other commits by this committer
Remove source and intermediate build output from intalled rubygem- ports

PR:		192949
21 Jan 2016 19:40:10
Original commit files touched by this commit  3.0.7_1
Revision:406872
kwm search for other commits by this committer
Update poppler to 0.40.0. [1]

Add patches to py-poppler [2] and rubygem-poppler [3] to fix the build
of these ports with poppler 0.39+.

PR:		206293 [1]
Submitted by:	olivierd@ [1]
Obtained from:	ubuntu [2], rubygem-poppler upstream [3]
17 Jan 2016 13:30:43
Original commit files touched by this commit  3.0.7
Revision:406495
sunpoet search for other commits by this committer
- Update to 3.0.7
- Fix LICENSE

Changes:	https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS
Sponsored by:	PortsCamp Taiwan
02 Aug 2015 16:06:17
Original commit files touched by this commit  2.2.5_1
Revision:393431
kwm search for other commits by this committer
Update poppler to 0.34.0. [1]

Chase all users of shlib version change of libpoppler.so.

PR:		201477 [1]
Submitted by:	olivierd@ [1]
03 May 2015 19:35:44
Original commit files touched by this commit  2.2.5
Revision:385303
sunpoet search for other commits by this committer
- Update to 2.2.5
- Add LICENSE

Changes:	https://github.com/ruby-gnome2/ruby-gnome2/commits/master
03 Feb 2015 12:28:24
Original commit files touched by this commit  2.2.3_2
Revision:378348
kwm search for other commits by this committer
Update poppler to 0.30.0 [1].

Make sure we use openjpeg1 in poppler, while openjpeg2 support
was added there still bugs in openjpeg2 that need to be fixed.
Add patches to inkscape for API changes in poppler 0.29.0 [2].

PR:		196599 [1]
Submitted by:	olivierd@ [1]
Exp-run by:	antoine@
Obtained from:	upstream [2]
25 Nov 2014 12:55:54
Original commit files touched by this commit  2.2.3_1
Revision:373404
makc search for other commits by this committer
Bump PORTREVISION after graphics/poppler update to 0.26.3
12 Nov 2014 02:02:59
Original commit files touched by this commit  2.2.3
Revision:372475
swills search for other commits by this committer
x11/rubygem-gnome2: update to 2.2.3

Update all rubygem-gnome2 and related ports to 2.2.3

While here, mark rubygem-glib2 as broken with Ruby 2.1
26 Aug 2014 03:04:42
Original commit files touched by this commit  2.2.0
Revision:366177
swills search for other commits by this committer
x11/rubygem-gnome2: update to 2.2.0
22 Feb 2014 15:36:42
Original commit files touched by this commit  2.1.0
Revision:345660
swills search for other commits by this committer
- Update rubygem-gnome2 and associated ports to 2.1.0
27 Dec 2013 16:54:22
Original commit files touched by this commit  2.0.2_1
Revision:337749
kwm search for other commits by this committer
Update poppler to 0.24.4.

Update comment.
Use new LIB_DEPENDS syntax, use USES=pathfix.
Stagify.

Bump portrevision of all affected ports, and Update poppler* LIB_DEPENDS to
new syntax.
30 Oct 2013 03:05:18
Original commit files touched by this commit  2.0.2
Revision:332058
swills search for other commits by this committer
- Add stage support
20 Sep 2013 23:57:48
Original commit files touched by this commit  2.0.2
Revision:327785
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
x11-toolkits)
09 Jun 2013 18:49:19
Original commit files touched by this commit  2.0.2
Revision:320388
swills search for other commits by this committer
Ruby/Poppler is a Ruby binding for Poppler.

WWW: http://ruby-gnome2.sourceforge.jp/

PR:		ports/173376
Submitted by:	Shin-ya Murakami <murashin@gfd-dennou.org>

Number of commits found: 18

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
chromiumJul 22
krb5-114Jul 21
mariadb100-server*Jul 21
mariadb101-server*Jul 21
mariadb55-server*Jul 21
mysql55-server*Jul 21
mysql56-server*Jul 21
mysql57-server*Jul 21
openoffice-4Jul 21
openoffice-develJul 21
percona55-server*Jul 21
typo3Jul 18
typo3-ltsJul 18
atutorJul 16
atutorJul 16

18 vulnerabilities affecting 35 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 26058
Broken 80
Deprecated 122
Ignore 351
Forbidden 0
Restricted 201
No CDROM 83
Vulnerable 74
Expired 10
Set to expire 109
Interactive 0
new 24 hours 5
new 48 hours6
new 7 days23
new fortnight95
new month168

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.